///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright (C) 2006 by Intel Coproration and Carnegie Mellon University    //
// Contacts: casey.j.helfrich @ intel.com                                    //
//           bdr @ cs.cmu.edu                                                //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

#ifndef __FLICKER_H
#define __FLICKER_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"

CODE_MODULE_PROTOTYPE( Flicker, Flicker );
using namespace std;

extern CatomWorld *worldPtr;

class Flicker : public CodeModule {
  bool print_stats;
public:
  Flicker(catomID _hostCatom) :
    CodeModule(_hostCatom)  {}
  virtual void simulationStart();
  virtual void newTick();	
  virtual void endTick();
};

#endif
